import { type QueryHelper } from '@/types/SearchTypes';
type __VLS_Props = {
    helper: QueryHelper;
};
declare const __VLS_export: import("vue").DefineComponent<__VLS_Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    search: (query: string) => any;
    close: () => any;
    submit: (query: string) => any;
}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{
    onSearch?: ((query: string) => any) | undefined;
    onClose?: (() => any) | undefined;
    onSubmit?: ((query: string) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
